// OperationWindowDlg.cpp : t@C
//

#include "stdafx.h"
#include "PCRPlayer.h"
#include "OperationWindowDlg.h"
#include "afxdialogex.h"


// COperationWindowDlg _CAO

IMPLEMENT_DYNAMIC(COperationWindowDlg, CDialog)

COperationWindowDlg::COperationWindowDlg(CWnd* pParent /*=NULL*/)
	: CDialog(COperationWindowDlg::IDD, pParent)
{

}

COperationWindowDlg::~COperationWindowDlg()
{
}

void COperationWindowDlg::InitControls()
{
	m_xcSpinFrame.SetPos32(window_.frame);

	m_xcSpinSnapScreen.SetPos32(window_.snap.screen);
	m_xcSpinSnapWindow.SetPos32(window_.snap.window);
}

void COperationWindowDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SPIN_FRAME, m_xcSpinFrame);
	DDX_Control(pDX, IDC_SPIN_SNAP_SCREEN, m_xcSpinSnapScreen);
	DDX_Control(pDX, IDC_SPIN_SNAP_WINDOW, m_xcSpinSnapWindow);
}


BEGIN_MESSAGE_MAP(COperationWindowDlg, CDialog)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BTN_ALL_DEFAULT, &COperationWindowDlg::OnBnClickedBtnAllDefault)
END_MESSAGE_MAP()


// COperationWindowDlg bZ[W nh[


BOOL COperationWindowDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_xcSpinFrame.SetRange32(0, INT_MAX);
	m_xcSpinSnapScreen.SetRange32(0, INT_MAX);
	m_xcSpinSnapWindow.SetRange32(0, INT_MAX);

	InitControls();

	return TRUE;  // return TRUE unless you set the focus to a control
				  // O : OCX vpeB y[W͕K FALSE Ԃ܂B
}


BOOL COperationWindowDlg::PreTranslateMessage(MSG* pMsg)
{
	if (pMsg->message == WM_KEYDOWN)
	{
		if (pMsg->wParam == VK_RETURN || pMsg->wParam == VK_ESCAPE)
		{
			return FALSE;
		}
	}
	return CDialog::PreTranslateMessage(pMsg);
}


void COperationWindowDlg::OnDestroy()
{
	CDialog::OnDestroy();

	window_.frame = m_xcSpinFrame.GetPos32();
	window_.snap.screen = m_xcSpinSnapScreen.GetPos32();
	window_.snap.window = m_xcSpinSnapWindow.GetPos32();
}


void COperationWindowDlg::OnBnClickedBtnAllDefault()
{
	window_ = sl::WindowOperation();

	InitControls();
}
