// DetailTypeFLV1Dlg.cpp : t@C
//

#include "stdafx.h"
#include "PCRPlayer.h"
#include "DetailTypeFLV1Dlg.h"
#include "afxdialogex.h"


// CDetailTypeFLV1Dlg _CAO

IMPLEMENT_DYNAMIC(CDetailTypeFLV1Dlg, CDialog)

//CDetailTypeFLV1Dlg::CDetailTypeFLV1Dlg(CWnd* pParent /*=NULL*/)
//	: CDialog(IDD_DETAIL_TYPE_FLV1, pParent)
//{
//
//}

CDetailTypeFLV1Dlg::CDetailTypeFLV1Dlg(sl::TypeConfig::FLV& flv)
	: CDialog(CDetailTypeFLV1Dlg::IDD, NULL)
	, flv_(flv)
{

}

CDetailTypeFLV1Dlg::~CDetailTypeFLV1Dlg()
{
}

void CDetailTypeFLV1Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CHECK_LOOP, m_xcCheckLoop);
	DDX_Control(pDX, IDC_CHECK_KEYFRAME, m_xcCheckKeyframe);
	DDX_Control(pDX, IDC_CHECK_TIMESTAMP, m_xcCheckTimestamp);
}

void CDetailTypeFLV1Dlg::InitControls()
{
	m_xcCheckLoop.SetCheck(flv_.loop ? BST_CHECKED : BST_UNCHECKED);
	m_xcCheckKeyframe.SetCheck(flv_.keyframe ? BST_CHECKED : BST_UNCHECKED);
	m_xcCheckTimestamp.SetCheck(flv_.timestamp ? BST_CHECKED : BST_UNCHECKED);
}

BEGIN_MESSAGE_MAP(CDetailTypeFLV1Dlg, CDialog)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BTN_ALL_DEFAULT, &CDetailTypeFLV1Dlg::OnBnClickedBtnAllDefault)
END_MESSAGE_MAP()


// CDetailTypeFLV1Dlg bZ[W nh[


BOOL CDetailTypeFLV1Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	InitControls();

	return TRUE;  // return TRUE unless you set the focus to a control
				  // O : OCX vpeB y[W͕K FALSE Ԃ܂B
}


BOOL CDetailTypeFLV1Dlg::PreTranslateMessage(MSG* pMsg)
{
	if (pMsg->message == WM_KEYDOWN)
	{
		if (pMsg->wParam == VK_RETURN || pMsg->wParam == VK_ESCAPE)
		{
			return FALSE;
		}
	}
	return CDialog::PreTranslateMessage(pMsg);
}


void CDetailTypeFLV1Dlg::OnDestroy()
{
	CDialog::OnDestroy();

	flv_.loop = m_xcCheckLoop.GetCheck() == BST_CHECKED;
	flv_.keyframe = m_xcCheckKeyframe.GetCheck() == BST_CHECKED;
	flv_.timestamp = m_xcCheckTimestamp.GetCheck() == BST_CHECKED;
}


void CDetailTypeFLV1Dlg::OnBnClickedBtnAllDefault()
{
	auto tmp = sl::TypeConfig::FLV();

	flv_.loop = tmp.loop;
	flv_.keyframe = tmp.keyframe;
	flv_.timestamp = tmp.timestamp;

	InitControls();
}
