#pragma once
#include "afxwin.h"


// COperationMouseDlg _CAO

class COperationMouseDlg : public CDialog
{
	DECLARE_DYNAMIC(COperationMouseDlg)

public:
	COperationMouseDlg(CWnd* pParent = NULL);   // WRXgN^[
	virtual ~COperationMouseDlg();

// _CAO f[^
	enum { IDD = IDD_OPERATION_MOUSE };

	sl::MouseOperation mouse_;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g

	void wheelInsertString(CComboBox& cmb);
	void mclickInsertString(CComboBox& cmb);
	void ldblclickInsertString(CComboBox& cmb);

	int wheelSwitch(int x);
	int mclickSwitch(int x);
	int ldblclickSwitch(int x);
	void init();

	void statusEnableWindow();
	void seekEnableWindow();
	void bbsEnableWindow();

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnDestroy();

	CButton m_xcCheckOnlineInvert;
	CComboBox m_xcCmbOnlineWheel;
	CComboBox m_xcCmbOnlineMClick;
	CComboBox m_xcCmbOnlineLDBLClick;

	CButton m_xcCheckOfflineInvert;
	CComboBox m_xcCmbOfflineWheel;
	CComboBox m_xcCmbOfflineMClick;
	CComboBox m_xcCmbOfflineLDBLClick;

	CButton m_xcCheckStatusTransfer;
	CButton m_xcCheckStatusInvert;
	CComboBox m_xcCmbStatusWheel;
	CComboBox m_xcCmbStatusMClick;

	CButton m_xcCheckSeekTransfer;
	CButton m_xcCheckSeekInvert;
	CComboBox m_xcCmbSeekWheel;
	CComboBox m_xcCmbSeekMClick;

	CButton m_xcCheckBBSTransfer;
	CButton m_xcCheckBBSInvert;
	CComboBox m_xcCmbBBSWheel;
	CComboBox m_xcCmbBBSMClick;

	afx_msg void OnBnClickedBtnAllDefault();
	afx_msg void OnBnClickedCheckStatusTransfer();
	afx_msg void OnBnClickedCheckSeekTransfer();
	afx_msg void OnBnClickedCheckBBSTransfer();
};
